File slib.changes of Package slib

-------------------------------------------------------------------
Mon Aug 30 14:44:26 CEST 2010 - pgajdos@suse.cz

- updated to version 3b3:
  * Supports GNU configure.
  * Makefile: Reorganized per <http://www.gnu.org/prep/standards/>.
  * (Guile 1.8.6, 1.8.7, 1.9.7, and 2?): Supported.
  * s7.init: Added init file for S7, part of the Snd sound-editor.
  * Makefile (allfiles): Added "version.txi".
  * Corrected several color problems.
  * qp.scm (qp): Don't truncate symbols when printing.
  * transact.scm (word:lock!): Truncate email components so MS-Word
    style ~$ckfile fits in 162.B.
  * dirs.scm (directory*-for-each): Added.
  * srfi-39.scm (make-parameter, parameterize): Added.
  * grapheps.ps (bargraph, impulse): Fixed for ranges not containing 0.

-------------------------------------------------------------------
Thu Jan 28 14:18:42 CET 2010 - pgajdos@suse.cz

- better guile version checking

-------------------------------------------------------------------
Tue Nov 24 17:51:06 CET 2009 - pgajdos@suse.cz

- updated to 3b2 (see ANNOUNCE)

-------------------------------------------------------------------
Thu Nov 13 14:43:59 CET 2008 - ro@suse.de

- make sure trigger scripts do not fail 

-------------------------------------------------------------------
Tue Nov  4 16:29:12 CET 2008 - pgajdos@suse.cz

- added coreutils and guile to PreReq [bnc#440993]

-------------------------------------------------------------------
Thu Jul 31 16:27:46 CEST 2008 - pgajdos@suse.cz

- updated to 3b1:
  o Larceny (Scheme) is supported.
  o scheme48.init (slib:os-strings): Fixed init for 1.7 (and 1.3).
    (defmacro:eval, defmacro:load): Fixed.
  o guile.init (implementation-vicinity): Just (%site-dir).
    (file-position, gentemp): module-replace!
    (library-vicinity): Try (%search-load-path "slib/guile.init"). 

-------------------------------------------------------------------
Mon Feb  4 11:40:47 CET 2008 - pgajdos@suse.cz

- added test for version of guile to the %post and %triggerin
  (guile >= 1.8.2 is needed for slib registration)

-------------------------------------------------------------------
Wed Dec 19 11:25:54 CET 2007 - pgajdos@suse.cz

- updated to 3a5:
    * Draft SRFI-96 "SRFI Prerequisites" specifies the interface 
      between implementations and the SLIB library system.
    * Added support for Kawa and SISC.
    * SSAX (xml-parse) module ported from SSAX 5.1.
    * Sort package compatibly upgraded to SRFI-95.
    * Added features SRFI-11 (let-values) and SRFI-28 (format).
    * Updated "guile.init" for Guile 1.8.
    * Updated "mitscheme.init" for versions after 7.7.1.
    * Rewrote scheme48(.init) delete-file using Posix unlink.
    * Fixed problem with macros-that-work.  

-------------------------------------------------------------------
Mon Apr  2 18:03:53 CEST 2007 - sbrabec@suse.cz

- Fixed %triggerin symlink target (#258261).

-------------------------------------------------------------------
Fri Mar  9 17:34:37 CET 2007 - sbrabec@suse.cz

- Fixed scriptlet symlink target.

-------------------------------------------------------------------
Mon Mar  5 18:18:14 CET 2007 - sbrabec@suse.cz

- Slib guile library installation moved from guile to slib.

-------------------------------------------------------------------
Fri Sep  8 11:56:12 CEST 2006 - anicka@suse.cz

- remove manually generated slibcat, fixed in guile 

-------------------------------------------------------------------
Thu May  4 17:58:32 CEST 2006 - sbrabec@suse.cz

- Build as noarch.

-------------------------------------------------------------------
Fri Feb 10 16:53:48 CET 2006 - anicka@suse.cz

- install slibcat (fixes #147520), has to be regenerated with every
  update 

-------------------------------------------------------------------
Wed Jan 25 21:41:40 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Fri Sep  9 10:40:38 CEST 2005 - anicka@suse.cz

- switch back to 3a1 (#112942) 

-------------------------------------------------------------------
Thu Jun 30 15:58:53 CEST 2005 - anicka@suse.cz

- update to 3a2 
 
-------------------------------------------------------------------
Tue Dec 16 15:57:28 CET 2003 - mcihar@suse.cz

- updated to 3a1
- no root for build

-------------------------------------------------------------------
Thu Apr 24 12:20:23 CEST 2003 - ro@suse.de

- fix install_info --delete call and move from preun to postun

-------------------------------------------------------------------
Mon Feb 10 13:13:11 CET 2003 - mcihar@suse.cz

- used %install_info macro (fixes bug #23457)
- updated to version 2d5

-------------------------------------------------------------------
Tue Aug  6 14:51:43 MEST 2002 - mcihar@suse.cz

- updated to version 2d4

-------------------------------------------------------------------
Thu Dec  6 12:39:22 CET 2001 - pmladek@suse.cz

- package splited from the package scheme
- updated to version 2d2